import 'package:krow_core/core.dart';
import '../repositories/experience_repository_interface.dart';

/// Use case for fetching staff industries.
class GetStaffIndustriesUseCase implements NoInputUseCase<List<String>> {
  final ExperienceRepositoryInterface _repository;

  GetStaffIndustriesUseCase(this._repository);

  @override
  Future<List<String>> call() {
    return _repository.getIndustries();
  }
}
